﻿export class CustomerDetails {
	constructor(
		public name: string,
		public activeCustomer: boolean,
		public interestRate: number,
		public ssn: number,
		public birthdate: Date,
		public age: number,
		public grossIncome: number,
		public idChecked: boolean,
		public accountTypes: string[],
		public accountTier: string,
		public accountCategory: string,
		public lastLogin: Date,
		public street: string,
		public city: string,
		public state: string,
		public zip: number,
		public county: string,
		public country: string,
		public addressType: string,
		public homePhone: string,
		public businessPhone: string,
		public mobilePhone: string,
		public email: string,
		public alerts: string[],
		public editor: string,
		public fieldLevelValidationErrors = {},
		public recordLevelValidationErrors: string[] = []
	) { }
}
