import { Component } from '@angular/core';
import { ruiIconList } from '@jha/rui-wc/components/rui-icon/rui-icon-list';

@Component({
	selector: 'enterprise-icons',
	templateUrl: './enterprise-icons.component.html',
	styleUrls: ['./enterprise-icons.component.scss']
})
export class EnterpriseIconsComponent {
	public accountList: any[] =
	[
		{ 'iconType': 'account', 'name': '00214', 'type': 'Demand Deposit', 'balance': 1234.56 },
		{ 'iconType': 'check', 'name': '00017', 'type': 'Checking', 'balance': 415.92 },
		{ 'iconType': 'savings', 'name': '00190', 'type': 'Savings', 'balance': 7624.18 }
	];
	// List of all standard icons
	public standardIconList = ruiIconList;

	public openPattern(url: string): void {
		const win = window.open(url, '_blank');
		win.focus();
	}
}
