import { Component, OnInit } from '@angular/core';
import { ListItem } from './listItem';

@Component({
	selector: 'templated-list',
	templateUrl: './templated-list.component.html',
	styleUrls: ['./templated-list.component.scss']
})
export class TemplatedListComponent implements OnInit {
	public list = [];

	ngOnInit(): void {
        this.list = [
            { iconType: 'web', name: 'List Item 1', subheader: 'Subheader 1', balance: 99.99, open: true },
            { iconType: 'check', name: 'List Item 2', subheader: 'Subheader 2', balance: 44.99, open: true },
            { iconType: 'non-jha-misc', name: 'List Item 3', subheader: 'Subheader 3', balance: 19.23, open: false }
        ];
	}

	public openPattern(url: string): void {
		const win = window.open(url, '_blank');
		win.focus();
	}

}
