import { Directive, ElementRef, AfterContentInit } from '@angular/core';

@Directive({
	selector: '[jhaAutoFocus]'
})
export class JhaAutoFocusDirective implements AfterContentInit {

    constructor(private elRef: ElementRef) {}

	public ngAfterContentInit(): void {
        Promise.resolve().then(() => {
            this.elRef.nativeElement.focus(); 
        });
	}
}
