import { Component } from '@angular/core';

@Component({
	// tslint:disable-next-line:component-selector
	selector: 'rating',
	templateUrl: './rating.component.html',
	styleUrls: ['./rating.component.scss']
})
export class RatingComponent {
    public ratingValues = [0, 0.5, 1, 1.5, 2, 2.5, 3, 3.5, 4, 4.5, 5];
    public ratingSize = 'small';

	public openPattern(url: string): void {
		const win = window.open(url, '_blank');
		win.focus();
	}
}
