import { Component } from '@angular/core';

@Component({
	// tslint:disable-next-line:component-selector
	selector: 'toolbar',
	templateUrl: './toolbar.component.html',
	styleUrls: ['./toolbar.component.scss']
})
export class ToolbarComponent {
    public functionToolbarSlot = 'function-toolbar-right';
    public functionToolbarMoveBtnText = 'Move Toolbar below Title'
    public displayBlockToolbarSlot = 'display-block-toolbar-right';
    public displayBlockToolbarMoveBtnText = 'Move Toolbar below Title'

    public toggleFunctionToolbarLocation() {
        if (this.functionToolbarSlot === 'function-toolbar-right') {
            this.functionToolbarSlot = 'function-toolbar-below';
            this.functionToolbarMoveBtnText = 'Move Toolbar to Right of Title'
        } else {
            this.functionToolbarSlot = 'function-toolbar-right';
            this.functionToolbarMoveBtnText = 'Move Toolbar below Title'
        }
    }

    public toggleDisplayBlockToolbarLocation() {
        if (this.displayBlockToolbarSlot === 'display-block-toolbar-right') {
            this.displayBlockToolbarSlot = 'display-block-toolbar-below';
            this.displayBlockToolbarMoveBtnText = 'Move Toolbar to Right of Title'
        } else {
            this.displayBlockToolbarSlot = 'display-block-toolbar-right';
            this.displayBlockToolbarMoveBtnText = 'Move Toolbar below Title'
        }
    }

	public openPattern(url: string): void {
		const win = window.open(url, '_blank');
		win.focus();
	}
}
